%define snap svn362
%define rel  8
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name:           uniconvertor
Version:        2.0
%if %snap
Release: %mkrel -c %snap %rel
%else
Release: %mkrel %rel
%endif
Summary:        Universal vector graphics translator
Group:          Graphics/Editors and Converters
License:        LGPLv2+ and GPLv2+ and MIT
URL:            http://sk1project.org/modules.php?name=Products&product=uniconvertor
%if %snap
Source0:        %name-%{version}%{snap}.tar.xz
%else
Source0:        http://uniconvertor.googlecode.com/files/%{name}-%{version}.tar.gz
%endif
BuildRequires:  pkgconfig(python2)
BuildRequires:  python-pillow-devel
BuildRequires:  python-cairo-devel
BuildRequires:  lcms2-devel
BuildRequires:  libpotrace-devel
# For a public domain sRGB.icm
BuildRequires:  argyllcms
Requires:       python-pillow
Requires:       python-reportlab
Requires:       sk1libs

%description
UniConvertor is a universal vector graphics translator.
It uses sK1 engine to convert one format to another.

%prep
%if %snap
%setup -q
%else
%setup -q -n %name-%version
%endif

cp -a %{_datadir}/color/argyll/ref/sRGB.icm src/unittests/cms_tests/cms_data/sRGB.icm

# fix for include Imaging
sed -i -e 's|#include "Imaging.h"|#include <Imaging/Imaging.h>|' src/uc2/cms/_cms2.c

%build
%py2_build

%install
%py2_install


%files
%doc README 
%{_bindir}/uniconvertor
%{python2_sitearch}/*
%{_datarootdir}/mime-info/sk1project.keys
%{_datarootdir}/mime-info/sk1project.mime
%{_datarootdir}/mime/packages/vnd.sk1project.pdxf-graphics.xml


%changelog
* Thu Oct 20 2016 daviddavid <daviddavid> 2.0-0.svn362.8.mga6
+ Revision: 1062634
- rebuild for new argyllcms
- use new python macros

* Mon Feb 08 2016 umeabot <umeabot> 2.0-0.svn362.7.mga6
+ Revision: 947281
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0-0.svn362.6.mga5
+ Revision: 745947
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0-0.svn362.5.mga5
+ Revision: 730663
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0-0.svn362.4.mga5
+ Revision: 690044
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Fri Oct 18 2013 umeabot <umeabot> 2.0-0.svn362.2.mga4
+ Revision: 521802
- Mageia 4 Mass Rebuild

  + philippem <philippem>
    - fix files list and BR

  + doktor5000 <doktor5000>
    - new version 2.0
      o snapshot of soon-to-be-released version 2.0, 1.1.5 is old and unmaintained
      o uses python-pillow
    - synced with Fedora

  + pterjan <pterjan>
    - Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jan 24 2013 fwang <fwang> 1.1.5-3.mga3
+ Revision: 391918
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 06 2012 doktor5000 <doktor5000> 1.1.5-2.mga2
+ Revision: 205519
- add Requires on sk1libs

* Mon Jan 30 2012 doktor5000 <doktor5000> 1.1.5-1.mga2
+ Revision: 203138
- add patch for underlinking issue, thanks to Anssi Hannula
- remove unused python_compile macros
- reset release back to 1
- remove unneeded patch
- imported package uniconvertor


* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 1.1.5-2mdv2011.0
+ Revision: 590057
- rebuild for python 2.7

* Sun Aug 15 2010 Funda Wang <fwang@mandriva.org> 1.1.5-1mdv2011.0
+ Revision: 569891
- new version 1.1.5

* Tue Mar 09 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.1.4-1mdv2010.1
+ Revision: 516854
- drop patches that breaks build (but keep them)
- update to 1.1.4

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 1.1.3-3mdv2010.0
+ Revision: 445612
- rebuild

* Thu Dec 25 2008 Michael Scherer <misc@mandriva.org> 1.1.3-2mdv2009.1
+ Revision: 318500
- rebuild for new python

* Fri Sep 12 2008 Frederik Himpe <fhimpe@mandriva.org> 1.1.3-1mdv2009.0
+ Revision: 284261
- First uniconvertor package for Mandriva, with thanks to Fedora for
  their SPEC and patches
- create uniconvertor

